Bug 1997467 (CVE-2021-3764) - CVE-2021-3764 kernel: DoS in ccp_run_aes_gcm_cmd() function
Summary: CVE-2021-3764 kernel: DoS in ccp_run_aes_gcm_cmd() function
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-3764
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1997591 1997592 1997593 1997594 1997595
Blocks: 1996557
TreeView+ depends on / blocked
 
Reported: 2021-08-25 09:59 UTC by Alex
Modified: 2022-09-08 15:03 UTC (History)
42 users (show)

Fixed In Version: Linux kernel 4.12-rc1
Doc Type: If docs needed, set a value
Doc Text:
A memory leak flaw was found in the Linux kernel's ccp_run_aes_gcm_cmd() function that allows an attacker to cause a denial of service. The vulnerability is similar to the older CVE-2019-18808. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2022-05-11 09:16:32 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:2229 0 None None None 2022-05-12 11:26:26 UTC
Red Hat Product Errata RHBA-2022:4630 0 None None None 2022-05-18 11:46:12 UTC
Red Hat Product Errata RHBA-2022:4693 0 None None None 2022-05-19 05:10:38 UTC
Red Hat Product Errata RHBA-2022:4969 0 None None None 2022-06-08 18:39:41 UTC
Red Hat Product Errata RHBA-2022:5088 0 None None None 2022-06-16 11:22:59 UTC
Red Hat Product Errata RHSA-2022:1975 0 None None None 2022-05-10 14:39:18 UTC
Red Hat Product Errata RHSA-2022:1988 0 None None None 2022-05-10 14:45:07 UTC

Description Alex 2021-08-25 09:59:08 UTC
A memory leak in the ccp_run_aes_gcm_cmd() function in drivers/crypto/ccp/ccp-ops.c in the Linux kernel allows attackers to cause a denial of service (memory consumption).
It happens if function ccp_init_data(&src) returns error code (that is being called from the ccp_run_aes_gcm_cmd).
This vulnerability is similar with the older CVE-2019-18808 and both with the CVE-2021-3744 (and the patch for the CVE-2021-3744 contains fix for this one too).

Reference:
TODO: add link to the patch when available

Comment 11 Vladis Dronov 2021-11-09 11:11:31 UTC
the fixing upstream commit is present since v5.15-rc4 and is:
505d9dcb0f7d ("crypto: ccp - fix resource leaks in ccp_run_aes_gcm_cmd()")

Comment 12 errata-xmlrpc 2022-05-10 14:39:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1975 https://access.redhat.com/errata/RHSA-2022:1975

Comment 13 errata-xmlrpc 2022-05-10 14:45:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1988 https://access.redhat.com/errata/RHSA-2022:1988

Comment 14 Product Security DevOps Team 2022-05-11 09:16:29 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3764


Note You need to log in before you can comment on or make changes to this bug.